# Uses of Class
net.shibboleth.idp.attribute.resolver.ad.impl.ContextDerivedAttributeDefinition

Packages that use ContextDerivedAttributeDefinition
Package
Description
net.shibboleth.idp.attribute.resolver.spring.ad.impl
Implementation of the Attribute Definition parsers.

## Uses of ContextDerivedAttributeDefinition in net.shibboleth.idp.attribute.resolver.spring.ad.impl

Methods in net.shibboleth.idp.attribute.resolver.spring.ad.impl that return types with arguments of type ContextDerivedAttributeDefinition
Modifier and Type
Method
Description
`protected Class<ContextDerivedAttributeDefinition>`
ContextDerivedAttributeDefinitionParser.`getBeanClass(Element element)`
`protected Class<ContextDerivedAttributeDefinition>`
SubjectDerivedAttributeDefinitionParser.`getBeanClass(Element element)`